%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:		jorbis
Summary:	Pure Java Ogg Vorbis Decoder
URL:		http://www.jcraft.com/jorbis/index.html
Source0:	http://www.jcraft.com/%{name}/%{name}-%{version}.zip
Group:		System Environment/Libraries
Version:	0.0.17
Release:	2%{?dist}
License:	LGPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	ant
BuildRequires:	java-devel >= 1.6
BuildRequires:	jpackage-utils

%if %{with_gcj}
BuildRequires:	java-gcj-compat-devel >= 1.0.31
Requires(post):	java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:	noarch
%endif

Requires:	java >= 1.5
Requires:	jpackage-utils


%description
JOrbis is a pure Java Ogg Vorbis decoder. JOrbis accepts Ogg Vorbis bitstreams
and decodes them to raw PCMs.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package player
Summary:	An ogg player using JOrbis
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description player
JOrbisPlayer is a simple ogg-Player.

%package comment
Summary:	JOrbisComment is a simple comment editor for Ogg Vorbis
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description comment
JOrbisComment is a simple comment editor for Ogg Vorbis.

This program is just provided here for setting an example, how to
use JOrbis for editing comments.

%prep
%setup -q

# Fix weird permission
chmod -x com/jcraft/jorbis/Util.java

%build
%javac `find ./ -name '*.java'`
%jar cf %{name}.jar com/jcraft/*/*.class 
%jar cf %{name}-player.jar player/*.class
%jar cf %{name}-comment.jar comment_editor/*.class

%javadoc -d doc -public `find ./ -name '*.java'`

%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 jorbis.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
install -pm 644 %{name}-player.jar \
	%{buildroot}%{_javadir}/%{name}-player-%{version}.jar
install -pm 644 %{name}-comment.jar \
	%{buildroot}%{_javadir}/%{name}-comment-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%clean
rm -rf %{buildroot}

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%post player
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun player
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%post comment
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun comment
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif


%files
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog README
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%if %{with_gcj}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%files player
%defattr(-,root,root,-)
%doc player/JOrbisPlayer.html
%{_javadir}/%{name}-player*.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}/%{name}-player*.jar.*
%endif

%files comment
%defattr(-,root,root,-)
%doc comment_editor/README
%{_javadir}/%{name}-comment*.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}/%{name}-comment*.jar.*
%endif

%changelog
* Wed Apr 29 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.0.17-2
- Fix duplicate files issue

* Sun Apr 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.0.17-1
- Initial Fedora build
